Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTable::Locator Class Reference

`#include <IORTableC.h>`

Inheritance diagram for IORTable::Locator:

[legend]
Collaboration diagram for IORTable::Locator:

[legend]
List of all members.

## Public Types
typedef Locator_ptr | _ptr_type
typedef Locator_var | _var_type
## Public Methods
virtual char * | locate (const char *object_key ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::NotFound )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Locator_ptr | _duplicate (Locator_ptr obj)
Locator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _nil (void)
## Protected Methods
| Locator (void)
virtual | ~Locator (void)
## Private Methods
| Locator (const Locator &)
void | operator= (const Locator &)

## Member Typedef Documentation

typedef Locator_ptr IORTable::Locator::_ptr_type

| Reimplemented from CORBA::Object.

typedef Locator_var IORTable::Locator::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

IORTable::Locator::Locator | ( | void |  | ) | `[protected]`

IORTable::Locator::~Locator | ( | void |  | ) | `[protected, virtual]`

IORTable::Locator::Locator | ( | const Locator & |  | ) | `[private]`

## Member Function Documentation

IORTable::Locator_ptr IORTable::Locator::_duplicate | ( | Locator_ptr | obj | ) | `[static]`

const char * IORTable::Locator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean IORTable::Locator::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

Locator_ptr IORTable::Locator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

Locator_ptr IORTable::Locator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

virtual char* IORTable::Locator::locate | ( | const char *object_key | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IORTable::NotFound )`[pure virtual]`

CORBA::Boolean IORTable::Locator::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void IORTable::Locator::operator= | ( | const Locator & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- IORTableC.h
- IORTableC.cpp